package numbers;

import salsa.language.*;

public class AdderPrinter extends Actor{

    Digit digit;

    AdderPrinter(Digit digit){
	this.digit = digit;
    }

    public void go(){
	for (int i = 0; i< 10; i++){
	    // Code equivalent to SALSA continuation:
	    //
	    // digit:print() -> digit:inc()
	    //
	    digit.send("print", "inc");
	}
    }

}
