public class JoinStatementData extends MessageSendingData {
    SalsaNode continuationExpression;
    int number;
    boolean withSend;
    boolean actorArray;
    boolean withContinuation;

    JoinStatementData(String sender,
		      String target,
		      String targets,
		      String methodNames,
		      String arguments,
		      String tokens,
		      SalsaNode continuationExpression,
		      int number,
		      boolean withSend,
		      boolean actorArray,
		      boolean withContinuation){
	super(sender,target,targets,methodNames,arguments,tokens);
	this.continuationExpression = continuationExpression;
	this.number = number;
	this.withSend = withSend;
	this.actorArray = actorArray;
	this.withContinuation= withContinuation;
    }
	
    SalsaNode getContinuationExpression() { return continuationExpression; }
    int getNumber() { return number; }
    boolean getWithSend() { return withSend; }
    boolean getActorArray() { return actorArray; }
    boolean getWithContinuation() { return withContinuation; }

}
